# In html
## Define the code
   Put your code inside template tag with colorcode attribute:

   &lt;template colorcode html="full active" js="full active" css="full active" result="full active">
      code..
   &lt;/template>

## Attributes inside template with code:
Attribute "colorcode" - let colorCode to find this template

Attributes html,js,css,result - if not presented, main code will shown without tabs. If presented the tabs will shown by order ot attributes inside tag and by parameters inside attributes.

html - shows html tab. If other attributes not presented, all code will shown inside this tab.
js - all code between &lt;script>&lt;/script> will shown as separate tab
css - all code between &lt;style>&lt;/style> will shown as separate tab
result - will show the result as separated tab
Caution: If you showing result, dont use existing element's id, dont define tag selectors on css code, and don't use variable or function names in js, that can affect your site's existing js code.

The parameters inside html,js,css,result are: active,full.
active - the tab will be active. By default only first tab is active.
full - the tab will be in full size. By default every tab resized.


# In javaScript

&lt;script src="colorcode.js">&lt;/script>
&lt;script>
    new colorCode(dom = document,colorsObj) 
&lt;/script>

Include colorCode.js
dom - may be dom id, template it self or empty (document)

Run colorCode - new colorCode(dom)
You can customize style of colorcodes elements by - [colorcode] {..}

## Customize colors
Second parameter in colorCode is colorsObj that allows to customize colors of code.
By default the colors are:


colors = {
    inner:'white',
    tag:'#FD2671',
    prop:'#A2D529',
    text:'#F2E679',
    comment:'#6F7463',
    fn:'#A2D529',
    let:'#69E6E3',
    false:'#B282F2',
    this:'#FF971F'
}

        